// Written by Dr. YIP Chi Lap [Beta]
//   for Workshop on "Computer-aided visibility measurement using digital cameras",
//   Visibility Measurement Method Design Competition,
//   Faculty of Engineering, The University of Hong Kong, 2012.

void setup() {
  size(600,400);
}

void draw() {

  background(127);

  /*
     A for loop changes the value of a variable and
       runs the statement inside its body until a condition is met
  */

  //   integer loop variable
  //    | Name of loop variable is x 
  //    |  | initialized as 0
  //    |  | |  Condition that the body continues to run
  //    |  | |   |   Increment the value of x by 50 every time the body is run
  //    |  | |   |        |
  //    v  v v  -------  =====
  for (int x=0; x<width; x+=50) {

    /*
       This is the body of the for loop, until the ending brace.
       Since width = 600 (why?),
         x would be 0, 50, 100, 150, 200, 250, 300, 350, 400, 450, 500, 550
       Note that x cannot be 600 since x<width would not hold in that case.
    */

    // Draw a line from (x,0) to (x,height)
    line(x,0,x,height);
  }

}

/*
   Exercise:
   1. Modify the program so that the backgroud is pale yellow in colour
	(R=255, G=255, B=192).
   2. Add code here to draw horizontal grid lines spaced 50 pixels apart.
*/
