// Written by Dr. YIP Chi Lap [Beta]
//   for Workshop on "Computer-aided visibility measurement using digital cameras",
//   Visibility Measurement Method Design Competition,
//   Faculty of Engineering, The University of Hong Kong, 2012.

/*
  To load an image, you need an PImage object.
  Let's call the object "img".
  We declare that img is an PImage, like this:
*/
PImage img;

void setup() {
  /*
    We load an image from a file using loadImage()
      giving the file name as parameter.
  */
  img = loadImage("imgHKW_100605_0900.jpg");

  /*
     The width and height of the image can be referred to as
       img.width and img.height respectively.
  */
  // Here, we make the window to be of the same size as the image.
  size(img.width, img.height);
}

void draw() {
  /*
     This specifies that the image "img" is the background 
  */
  background(img);
}

/*
   Exercise:
   Draw light red (pink) grid lines
     that are 50 pixels from each other
     directly on the image.
   (RGB components of pink: R=255, G=192, B=192)
*/
